
Redmine - Feature #34123

System tests for inline auto complete feature

2020-10-16 10:10 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.1.2   

Resolution: Fixed   

Description

We should add some system tests (or other type) for the inline autocomplete feature.

Associated revisions

Revision 20580 - 2020-12-06 01:46 - Go MAEDA

Add system tests for inline autocomplete (#34123).

Patch by Marius BALTEANU.

Revision 20652 - 2020-12-17 09:08 - Go MAEDA

Fix the order of assert params (#34123).

Revision 20826 - 2021-03-19 03:42 - Go MAEDA

Merged r20580 and r20652 from trunk to 4.1-stable (#34123).

History

#1 - 2020-12-05 16:50 - Marius BĂLTEANU

- File 0001-Add-system-tests-for-inline-autocomplete.patch added

- Category set to UI

- Assignee deleted (Marius BĂLTEANU)

- Target version set to 4.2.0

I've added a first version of the tests. I preferred to have all the tests related to inline autocomplete in the same file instead of splitting them in different

files (issues_test, news_test, etc).

Any feedback is appreciated.

#2 - 2020-12-06 01:46 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#3 - 2020-12-17 00:23 - Marius BĂLTEANU

- File fix_assert_param_order.patch added

- Status changed from Closed to Reopened

Please commit the attached patch, I made a mistake in the initial patch (first param is the expected value, the second is the actual).

https://apidock.com/ruby/Test/Unit/Assertions/assert_equal

#4 - 2020-12-17 00:23 - Marius BĂLTEANU

- File deleted (fix_assert_param_order.patch)
https://apidock.com/ruby/Test/Unit/Assertions/assert_equal


#5 - 2020-12-17 00:24 - Marius BĂLTEANU

- File fix_assert_param_order.patch added

#6 - 2020-12-17 09:08 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

Please commit the attached patch, I made a mistake in the initial patch (first param is the expected value, the second is the actual).

 Committed the fix in r20652. Thank you.

#7 - 2021-03-19 03:27 - Go MAEDA

- Target version changed from 4.2.0 to 4.1.2

Changing the target version to 4.1.2 in order to apply #33846 to 4.1-stable.

Files

0001-Add-system-tests-for-inline-autocomplete.patch 5.02 KB 2020-12-05 Marius BĂLTEANU

fix_assert_param_order.patch 524 Bytes 2020-12-16 Marius BĂLTEANU
https://www.redmine.org/projects/redmine/repository/svn/revisions/20652
https://www.redmine.org/issues/33846
